/* 
 * GHMessen
 * --------
 * 
 * GHMessen is a measuring program to use in connection with a computer 
 * measuring interface. It's designed for school usage.
 * 
 * Copyright (C) 2010-2011  Frank Schütte - Gymnasium Himmelsthür
 * 
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation; either 
 * version 3 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with this program; 
 * if not, see <http://www.gnu.org/licenses/>.
 * 
 * Frank Schütte fschuett AT gymnasium-himmelsthuer DOT de
 * 
 */

package ghmessen.util;

public class HTML {

	public static String symbolZuHTML(String symbol){
		return symbol == null ? null : symbol.replace("_", "<sub>")+"</sub>";		
	}
	public static String symbolZuHTML(String symbol, boolean mitBegrenzung){
		if(mitBegrenzung)
			return umgebeMitHTML(symbolZuHTML(symbol));
		else
			return symbolZuHTML(symbol);
	}
	
	public static String htmlZuSymbol(String html){
		return html == null ? null : html.replace("<sub>","_").replaceAll("\\<.*?\\>", "");
	}
	
	public static String htmlZuSymbole(String html){
		return html == null ? null : html.replaceAll("<sub>","_").replaceAll("\\<.*?\\>", "");
	}
	
	public static boolean enthaeltHTML(String text){
		return text == null ? false : text.matches("\\<.*?\\>");
	}
	
	public static String umgebeMitHTML(String text){
		return "<html>"+text+"</html>";
	}
	
	public static boolean istMitHTMLUmgeben(String text){
		return text == null ? false : text.startsWith("<html>") && text.endsWith("</html>");
	}
	
}
